# Interface Pass

Pass基类 three.js 的 Pass 接口，用于 EffectComposer

interface Pass {
clear: boolean;
enabled: boolean;
needsSwap: boolean;
renderToScreen: boolean;
render(
renderer: WebGLRenderer,
writeBuffer: WebGLRenderTarget,
readBuffer: WebGLRenderTarget,
deltaTime?: number,
maskActive?: boolean,
): void;
setSize(width: number, height: number): void;
}

#### Implemented by

- FivePass

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:9

##### Index

### Properties

clear
enabled
needsSwap
renderToScreen

### Methods

render
setSize

## Properties

### clear

clear: boolean

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:12

### enabled

enabled: boolean

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:10

### needsSwap

needsSwap: boolean

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:11

### renderToScreen

renderToScreen: boolean

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:13

## Methods

### render

- render(
  renderer: WebGLRenderer,
  writeBuffer: WebGLRenderTarget,
  readBuffer: WebGLRenderTarget,
  deltaTime?: number,
  maskActive?: boolean,
  ): void

  #### Parameters

  - renderer: WebGLRenderer
  - writeBuffer: WebGLRenderTarget
  - readBuffer: WebGLRenderTarget
  - `Optional` deltaTime: number
  - `Optional` maskActive: boolean

  #### Returns void

  - Defined in lib/five/renderer/postprocessing/passes/pass.ts:15

### setSize

- setSize(width: number, height: number): void

  #### Parameters

  - width: number
  - height: number

  #### Returns void

  - Defined in lib/five/renderer/postprocessing/passes/pass.ts:14